#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#preloader.preloader-hidden {
  opacity: 0;
  pointer-events: none;
}

#preloader .progress-bar {
  width: 300px;
  height: 20px;
  background-color: transparent;
  border: 2px solid #fff;
  border-radius: 10px;
  overflow: hidden;
}

#preloader .progress-bar span {
  display: block;
  height: 100%;
  background-color: #C17C52;
  width: 0%;
  transition: width 0.3s;
}

#preloader .progress-text {
  color: #fff;
  font-size: 18px;
  margin-top: 10px;
}

#preloader .loading-text {
  color: #fff;
  font-size: 24px;
  margin-bottom: 20px;
}

/* Dodaj animację do paska postępu */
@keyframes progressAnimation {
  0% { background-position: 200% 0; }
  100% { background-position: -200% 0; }
}

/* Stylizuj pasek postępu w trybie animacji */
#preloader .progress-bar span {
  background: linear-gradient(45deg, #AA794E, #DD6B5E, #F9DDAC);
  background-size: 400% 400%;
  animation: progressAnimation 4s ease infinite;
}
